Subject: Re: bug#12806: 24.3.50; Dead keys misbehavior when scroll-lock is enabled

From: Juanma Barranquero <[email-masked]>
Date: Tue, 6 Nov 2012 00:28:06 +0100

On Mon, Nov 5, 2012 at 9:57 PM, Dani Moncayo <[email-masked]> wrote:

> Juanma, please, could you say if you can also reproduce this bug.  TIA.

Yes, and I agree that it is a bug, though what I see is very slightly
different from what you report, at this point:

> * The dead key has no effect over the "a" nor the following letters I
> type, until I type an <SPC>: at that moment, an "´" is inserted
> instead

If I set scroll-lock and enter Emacs -Q (or Emacs -Q, then switch out
of Emacs, set scroll-lock, switch back to Emacs), when I press ´ I get
nothing until Í press "a" (and get "a", not "á", or for example space,
and then I get ´ alone). Afterwards, pressing ´ inserts it, i.e., it
doesn't work as a dead key, apparently.

    Juanma